# Dynamic Dropdown Widget

Dynamic dropdown widget that supports resolving options from backend of:

> - `fields.Char`
> - `fields.Integer`
> - `fields.Selection`

NOTE: This widget is not intended to extend `fields.Selection`, but to filter selection values. For fully-dynamic set of options, use `fields.Char` instead.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

    @api.model
    def method_name(self):
        values = [
            ('value_a', 'Title A'),
        ]
        if self.env.context.get('depending_on') == True:
            values += [
                ('value_b', 'Title B'),
            ]
        return values

    <field
        name="other_field"
    />
    <field
        name="char_field"
        widget="dynamic_dropdown"
        values="method_name"
        context="{'depending_on': other_field}"
    />

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- CorporateHub

## Contributors

- CorporateHub
  - Alexey Pelykh <alexey.pelykh@corphub.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.